#pragma once

#include "SxxPanel.h"
#include "UlPanel.h"
#include "ConCpuPanel.h"
#include "afxwin.h"
#include "IsoPanel.h"

// CCiccWorkspace Ի

class CCiccWorkspace : public CPanelBase
{
	DECLARE_DYNAMIC(CCiccWorkspace)

public:
	CCiccWorkspace(CWnd* pParent = NULL);   // ׼캯
	virtual ~CCiccWorkspace();

// Ի
	enum { IDD = IDD_CICC_PANEL };

	void	Select(BYTE bCardType);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
	virtual BOOL OnInitDialog();

protected:
	CTabCtrlExt m_tab;
	CSxxPanel *m_pS50Wnd;
	CSxxPanel *m_pS70Wnd;
	CUlPanel  *m_pUlWnd;
	CConCpuPanel *m_pTypeACpuWnd;
	CConCpuPanel *m_pTypeBCpuWnd;
	CIsoPanel  *m_pIsoWnd;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnBnClickedCiccActivate();
	afx_msg void OnBnClickedCiccDeactivate();
	afx_msg void OnBnClickedCiccStatus();
	afx_msg void OnEnable(BOOL bEnable);
public:
	CComboBox m_ActivationSequences;
	afx_msg void OnCbnSelchangeRfcActivationSequences();
	afx_msg void OnBnClickedIso144433Act();
	afx_msg void OnBnClickedIso144434Act();
};
