
// F3TESTDlg.h : ͷļ
//

#pragma once

#include "IccWorkspace.h"
#include "CiccWorkspace.h"
#include "DispTestPanel.h"
#include "afxwin.h"
#include "EncryptePanel.h"
#include "SensorDlg.h"
//#include "PcscPanel.h"

// CF3TESTDlg Ի
class CF3TESTDlg : public CDialogEx
{
// 
public:
	CF3TESTDlg(CWnd* pParent = NULL);	// ׼캯

// Ի
	enum { IDD = IDD_F3TEST_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ֧
	virtual BOOL OnInitDialog();

	void	Reset(BYTE bMode);

	void	UpdateUIState(BOOL bConnected);
	void	InitAddressList();

// ʵ
protected:
	HICON m_hIcon;
	bool	m_bInited;	// ָʾԻǷѳʼ
	CRect	m_orgWndRect;	// ԭʼĴ
	CTabCtrlExt m_tab;
	COutputBox m_OutWnd;
	CIccWorkspace *m_pIccWnd;
	CCiccWorkspace *m_pCiccWnd;
	CDispTestPanel *m_pDispTstWnd;
	CEncryptePanel *m_pEncryptWnd;

	CSensorDlg m_sensorDlg;
	/*CPcscPanel *m_pPcscWnd;*/

	// ɵϢӳ亯
	DECLARE_MESSAGE_MAP()
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);
	afx_msg void OnBnClickedResetAndEject();
	afx_msg void OnBnClickedResetAndCapture();
	afx_msg void OnBnClickedResetOnly();
	afx_msg void OnBnClickedStatus();
	afx_msg void OnBnClickedSensorInfo();
	afx_msg void OnBnClickedPermitInsertion();
	afx_msg void OnBnClickedDenieInsertion();
	afx_msg void OnBnClickedMoveToFront();
	afx_msg void OnBnClickedMoveToIccPos();
	afx_msg void OnBnClickedMoveToRfPos();
	afx_msg void OnBnClickedEjectCard();
	afx_msg void OnBnClickedCaptureCard();
	afx_msg void OnBnClickedDetectIccType();
	afx_msg void OnBnClickedDetectCiccType();
	afx_msg void OnBnClickedConnect();
	afx_msg void OnBnClickedDisconnect();
	virtual void OnCancel();
public:
	afx_msg void OnBnClickedClearOutput();
	CLabel m_AddrLabel;
	afx_msg void OnCbnSelchangeAddressList();
	CComboBox m_AddressList;
	afx_msg void OnBnClickedSetport();
	CEdit m_serial;
	afx_msg void OnBnClickedSetSerial();
	afx_msg void OnBnClickedReadSerial();
	afx_msg void OnBnClickedButton3();
};
