#pragma once


enum SXXTYPE
{
	S50,
	S70
};

// CSxxPanel Ի

class CSxxPanel : public CPanelBase
{
	DECLARE_DYNAMIC(CSxxPanel)

public:
	CSxxPanel(SXXTYPE iType, CWnd* pParent = NULL);   // ׼캯
	virtual ~CSxxPanel();

// Ի
	enum { IDD = IDD_SXX_PANEL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
	virtual BOOL OnInitDialog();

	enum PWDOPTYPE { PWDOT_VERIFY, PWDOT_UPDATE, PWDOT_DOWNLOAD };

	enum VOTYPE { VOT_READ, VOT_INIT, VOT_INC, VOT_DEC };

	void	PwdOp(PWDOPTYPE iType);
	void	ValOp(VOTYPE iType);

	SXXTYPE m_iType;
	BYTE	m_iSectorNum;

	CLabel	m_CapLab;
	CMSFlexGridExt m_PwdGrid;
	CMSFlexGridExt m_DataGrid;
	CNumericEdit m_ValueBox;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnCbnSelchangeSxxSectorNumberList();
	afx_msg void OnBnClickedSxxVerifyPwd();
	afx_msg void OnBnClickedSxxUpdatePwd();
	afx_msg void OnBnClickedSxxLoadFromEeprom();
	afx_msg void OnBnClickedSxxDownloadToEeprom();
	afx_msg void OnCbnSelchangeSxxStartBlockNumberList();
	afx_msg void OnCbnSelchangeSxxNumberOfBlocks();
	afx_msg void OnBnClickedSxxReadBlocks();
	afx_msg void OnBnClickedSxxWriteBlocks();
	afx_msg void OnBnClickedSxxReadValue();
	afx_msg void OnBnClickedSxxInitialize();
	afx_msg void OnBnClickedSxxIncrement();
	afx_msg void OnBnClickedSxxDecrement();
	afx_msg void OnEnable(BOOL bEnable);
};
