#include "StdAfx.h"
#include "Public.h"



// UIComboBox

IMPLEMENT_DYNAMIC(UIComboBox, CComboBox)

UIComboBox::UIComboBox()
{

}

UIComboBox::~UIComboBox()
{
}


BEGIN_MESSAGE_MAP(UIComboBox, CComboBox)
END_MESSAGE_MAP()



int UIComboBox::AddItem(LPCTSTR pszText, DWORD dwValue)
{
    int index = AddString(pszText);
    SetItemData(index, dwValue);
    SetCurSel(0);
    return index;
}


LPCTSTR UIComboBox::SelectedText()
{
    int index = GetCurSel();
    ASSERT(index >= 0);

    m_strText.Empty();
    GetLBText(index, m_strText);
    return m_strText;
}


DWORD UIComboBox::SelectedValue()
{
    int index = GetCurSel();
    ASSERT(index >= 0);
    return GetItemData(index);
}