#pragma once


// UITabControl

class AFX_EXT_CLASS UITabControl : public CTabCtrl
{
	DECLARE_DYNAMIC(UITabControl)

public:
	UITabControl();
	virtual ~UITabControl();

	BOOL Create(CWnd *pParentWnd, UINT nID);
	int AddTabPage(CWnd *pWnd, LPCTSTR pszLabel);
	void SetTabData(int iTab, DWORD_PTR dwData);
	DWORD_PTR GetTabData(int iTab);
	void Select(CWnd *pWnd);

protected:
	virtual void PreSubclassWindow();

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg BOOL OnTcnSelchange(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnable(BOOL bEnable);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

private:
	void RelocTabPage(int nItem, CWnd *pWnd, BOOL bShow);

private:
	typedef struct TABITEM
	{
		CWnd *pWnd;
		DWORD_PTR dwData;
	} *LPTABITEM;

	CArray<TABITEM> m_tabItems;
	int m_iCurSel;
	CFont m_BoldFont;
};
