#pragma once

class CLogger
{
public:
	CLogger();
	~CLogger();

	BOOL Initialize(LPCSTR pszDirPath, LPCSTR pszFileTitle);
	void Release();
	void Write(LPCSTR pszFormat, ...);
	void Write(LPCSTR pszTag, LPBYTE pbBuff, DWORD dwLength);

private:
	BOOL MakeDirectory(LPCSTR pszDirPath);
	DWORD BytesToHexString(LPBYTE pbBuff, DWORD dwLength, PSTR &pstr);
	char HexChar(int digit);

private:
	HANDLE m_hFile;
	char m_szBuff[4096];
};