#pragma once
#include "afxwin.h"



// CDispTestPanel Ի

class CDispTestPanel : public CPanelBase
{
	DECLARE_DYNAMIC(CDispTestPanel)

public:
	CDispTestPanel(CWnd* pParent = NULL);   // ׼캯
	virtual ~CDispTestPanel();

// Ի
	enum { IDD = IDD_DISP_TEST_PANEL };

	void	StopTest();
	static BYTE Data0;
	static BYTE Data1;
	static BYTE Data2;
	static BYTE Data3;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
	virtual BOOL OnInitDialog();
	void	UpdateUIState(BOOL bTesting);

	static UINT TestThread(LPVOID pvParam);

	enum ACTION { A_EJECT, A_CAPTURE };

	CWinThread* m_pThread;
	HANDLE m_hStopEvent;

	int	m_nDispenseNum;
	int	m_nCaptureNum;
	int	m_nEjectNum;

	BYTE	m_bMoveMode;
	BOOL	m_fCapture;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedDtStartTest();
	afx_msg void OnBnClickedDtStopTest();
	afx_msg void OnCbnSelchangeDtPositions();
	afx_msg void OnCbnSelchangeDtActions();
	afx_msg LRESULT OnThreadAborted(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnCounterChanged(WPARAM wParam, LPARAM lParam);
	afx_msg void OnBnClickedDtClear();
	afx_msg void OnEnable(BOOL bEnable);
public:
	afx_msg void OnBnClickedStartArgingtest();
	CComboBox m_AgingTestList;
	CNumericEdit m_AgingTestInterval;
	afx_msg void OnBnClickedStopArgingtest();
	CNumericEdit m_LED1_IntervalBox;
	CNumericEdit m_LED2_IntervalBox;
	CNumericEdit m_LED1_TimeBox;
	CNumericEdit m_LED2_TimeBox;
	afx_msg void OnBnClickedLed1Invalid();
	afx_msg void OnBnClickedLed2Invalid();
	afx_msg void OnBnClickedLed1Off();
	afx_msg void OnBnClickedLed2Off();
	afx_msg void OnBnClickedLed1On();
	afx_msg void OnBnClickedLed2On();
	afx_msg void OnBnClickedLed1Blink();
	afx_msg void OnBnClickedLed2Blink();
	afx_msg void OnBnClickedDtClear2();
};
