#pragma once
#include "afxwin.h"


// CPcscPanel Ի

class CPcscPanel : public CPanelBase
{
	DECLARE_DYNAMIC(CPcscPanel)

public:
	CPcscPanel(CWnd* pParent = NULL);   // ׼캯
	virtual ~CPcscPanel();

// Ի
	enum { IDD = IDD_PCSCPNL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
	virtual BOOL OnInitDialog();

	BOOL	ListReaders();
	void	EnableUI(BOOL bConnected);

	static UINT PCSCAutoConnectProc(LPVOID pvParam);

	SCARDCONTEXT m_hContext;
	SCARDHANDLE m_hCard;
	DWORD	m_dwProtocol;

	CWinThread* m_pThread;
	HANDLE m_hStopEvent;
	BOOL m_pcscConnected;

	CComboBox m_ReaderList;
	CComboBox m_ShareModeList;
	CComboBox m_PreferredProtocolList;
	CComboBox m_CommandList;


	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPcscRefresh();
	afx_msg void OnEnable(BOOL bEnable);
	afx_msg void OnBnClickedPcscConnect();
	afx_msg void OnBnClickedPcscDisconnect();
	afx_msg void OnBnClickedPcscTransmit();

	afx_msg LRESULT BeginPcscConnect(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnPcscDisconnect(WPARAM wParam, LPARAM lParam);
};
