#pragma once

// CSle4428Panel Ի

class CSle4428Panel : public CPanelBase
{
	DECLARE_DYNAMIC(CSle4428Panel)

public:
	CSle4428Panel(CWnd* pParent = NULL);   // ׼캯
	virtual ~CSle4428Panel();

// Ի
	enum { IDD = IDD_SLE4428_PANEL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
	virtual BOOL OnInitDialog();

	enum READTYPE { RT_MAIN_MEMORY, RT_PROTECTION_BITS };
	enum WRITETYPE { WT_WITHOUT_PB, WT_WITH_DATA_COMPARISON, WT_WITH_PB };

	void	Read(READTYPE iType);
	void	Write(WRITETYPE iType);


	CMSFlexGridExt m_MmGrid;
	CMSFlexGridExt m_PscGrid;

	CNumericEdit m_AddrBox;
	CNumericEdit m_BytesBox;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedSle4428Activate();
	afx_msg void OnBnClickedSle4428Deactivate();
	afx_msg void OnBnClickedSle4428Status();
	afx_msg void OnBnClickedSle4428Read8Bits();
	afx_msg void OnBnClickedSle4428WriteWithoutPb();
	afx_msg void OnBnClickedSle4428WriteWithDataComparison();
	afx_msg void OnBnClickedSle4428WriteWithPb();
	afx_msg void OnBnClickedSle4428ReadProtectionBits();
	afx_msg void OnBnClickedSle4428VerifyPsc();
	afx_msg void OnEnable(BOOL bEnable);
};
