#pragma once


typedef void (*FNCMDLISTDBLCLKCALLBACK)(LPVOID pvParam, LPCOMMANDINFO pCmdInfo);


class CMyListCtrl : public CMFCListCtrl
{
	virtual COLORREF OnGetCellTextColor(int nRow, int nColum);
	virtual COLORREF OnGetCellBkColor(int nRow, int nColum);
	virtual HFONT OnGetCellFont(int nRow, int nColum, DWORD dwData = 0);

	virtual int OnCompareItems(LPARAM lParam1, LPARAM lParam2, int iColumn);

public:
	BOOL m_bColor;
	BOOL m_bModifyFont;
};
// CCmdListPanel Ի

class AFX_EXT_CLASS CCmdListPanel : public UIPanel
{
	DECLARE_DYNAMIC(CCmdListPanel)

public:
	CCmdListPanel(CWnd* pParent = NULL);   // ׼캯
	virtual ~CCmdListPanel();

    void SetCDTMinLength(DWORD cbCDTMinLength);
    void SetDblClkCallback(FNCMDLISTDBLCLKCALLBACK fnDblClkCbk, LPVOID pvParam);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
    virtual BOOL OnInitDialog();
    virtual BOOL PreTranslateMessage(MSG* pMsg);

	DECLARE_MESSAGE_MAP()
    afx_msg void OnEnable(BOOL bEnable);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnBnClickedAddCmd();
    afx_msg void OnNMDblclkCmdList(NMHDR *pNMHDR, LRESULT *pResult);


private:
    void ListAllCmds();
    void AddCmdToList(LPCOMMANDINFO lpCmdInfo);
    void OnEditSelCmd();
    void OnDeleteSelCmd();
    static BOOL CmdEditCallback(LPVOID pvParam, COMMANDINFO &CmdInfo, BOOL bAddNew);

private:
    CMyListCtrl m_wndCmdList;
    CCmdEditDlg m_editDlg;
    int m_nSel;
    FNCMDLISTDBLCLKCALLBACK m_fnDblClkCbk;
    LPVOID m_pvParam;
};
