#pragma once


// CTabCtrlExt

class AFX_EXT_CLASS CTabCtrlExt : public CTabCtrl
{
	DECLARE_DYNAMIC(CTabCtrlExt)

public:
	CTabCtrlExt();
	virtual ~CTabCtrlExt();

	LONG	AddPage(LPCTSTR lpszItem, CWnd* pPage);
	void	SelectPage(CWnd *pPage);
	void	SetItemData(int nItem, DWORD_PTR dwItemData);
	DWORD_PTR GetItemData(int nItem);

protected:
	virtual void PreSubclassWindow();

	void	PositionPage(int nItem, CWnd* pPage, BOOL bShow);

	CFont	m_BoldFont;
	CArray<CWnd*, CWnd*> m_arPages;
	CArray<DWORD_PTR, DWORD_PTR> m_arItemData;
	int	m_iCurSel;

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg BOOL OnTcnSelchange(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnable(BOOL bEnable);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
};