// EncryptePanel.cpp : ʵļ
//

#include "stdafx.h"
#include "F3TEST.h"
#include "EncryptePanel.h"
#include "afxdialogex.h"
#include "ByteBuffer.h"


// CEncryptePanel Ի

IMPLEMENT_DYNAMIC(CEncryptePanel, CPanelBase)

CEncryptePanel::CEncryptePanel(CWnd* pParent /*=NULL*/)
	: CPanelBase(CEncryptePanel::IDD, pParent)
	, m_publickkey(_T(""))
	, m_InputPlaintext(_T(""))
	, m_DecryptPrivateKey(_T(""))
	, m_DecryptRedace(_T(""))
	, m_KeyMsg(_T(""))
	, m_PlainMsg(_T(""))
	, m_Redaction2(_T(""))
{

}

CEncryptePanel::~CEncryptePanel()
{
}

void CEncryptePanel::DoDataExchange(CDataExchange* pDX)
{
	CPanelBase::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_PRIVATEKEY, m_publickkey);
	DDX_Text(pDX, IDC_PLAINTEXT, m_InputPlaintext);
	DDX_Text(pDX, IDC_PRIVATEKEYEDIT, m_DecryptPrivateKey);
	DDX_Text(pDX, IDC_REDACETEXT, m_DecryptRedace);
	DDX_Control(pDX, IDC_OPERATE_MODE, m_OperateMode);
	DDX_Text(pDX, IDC_KEYMSG, m_KeyMsg);
	DDX_Text(pDX, IDC_PLAINMSG, m_PlainMsg);
	DDX_Text(pDX, IDC_REDACTEMSG, m_Redaction2);
}


BEGIN_MESSAGE_MAP(CEncryptePanel, CPanelBase)
	ON_BN_CLICKED(IDC_INITSM2, &CEncryptePanel::OnBnClickedInitsm2)
	ON_BN_CLICKED(IDC_MAKEPASSWORD, &CEncryptePanel::OnBnClickedMakepassword)
	ON_BN_CLICKED(IDC_CLOSESM2, &CEncryptePanel::OnBnClickedClosesm2)
	ON_BN_CLICKED(IDC_DECRYPE, &CEncryptePanel::OnBnClickedDecrype)
	ON_BN_CLICKED(IDC_DECRYPT, &CEncryptePanel::OnBnClickedDecrypt)
	ON_BN_CLICKED(IDC_INITSM4, &CEncryptePanel::OnBnClickedInitsm4)
	ON_BN_CLICKED(IDC_CLOSE_SM4, &CEncryptePanel::OnBnClickedCloseSm4)
	ON_BN_CLICKED(IDC_ENCRYPE_SM4, &CEncryptePanel::OnBnClickedEncrypeSm4)
	ON_BN_CLICKED(IDC_DECRYPT_SM4, &CEncryptePanel::OnBnClickedDecryptSm4)
END_MESSAGE_MAP()


// CEncryptePanel Ϣ


BOOL CEncryptePanel::OnInitDialog()
{
	CPanelBase::OnInitDialog();

	m_OperateMode.SetItemData(m_OperateMode.AddString(_T("ECB")),0);
	m_OperateMode.SetItemData(m_OperateMode.AddString(_T("CBC")),1);
	m_OperateMode.SetCurSel(0);
	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	return TRUE;  // return TRUE  unless you set the focus to a control

}

void CEncryptePanel::OnBnClickedInitsm2()
{
	// TODO: ڴӿؼ֪ͨ
	LONG lResult = F3_InitiSM2(g_hReader);
	OutputResult(lResult, GetFocus(), NULL);


}


void CEncryptePanel::OnBnClickedMakepassword()
{
	// TODO: ڴӿؼ֪ͨ
	KEYINFO pKeyInfo;
	ZeroMemory( &pKeyInfo, sizeof(PKEYINFO));
	LONG  lRet = F3_GenerateKey(g_hReader, &pKeyInfo);
	CString str,strtemp;

	if(lRet == 0)
	{
		str = _T("");
		m_DecryptPrivateKey = _T("");
		m_publickkey = _T("");
		for (int i = 0; i < 32; i++)
		{
			str.Format(_T("%02x"),pKeyInfo.PrivateKey[i]);	
			m_DecryptPrivateKey +=  str;
		}
		// MessageBox(strtemp);

		str = _T("");
		strtemp = _T("");
		for (int i = 0; i < 65; i++)
		{
			str.Format(_T("%02x"),pKeyInfo.PublicKey[i]);	
			m_publickkey +=  str;
		}
		//MessageBox(strtemp);
		// m_PublicKey = pKeyInfo.PublicKey;
		//m_PrivateKey = pKeyInfo.PrivateKey;
		UpdateData(FALSE);
	}
	OutputResult(lRet, GetFocus(), NULL);
}


void CEncryptePanel::OnBnClickedClosesm2()
{
	// TODO: ڴӿؼ֪ͨ
	LONG lResult = F3_CloseSM2(g_hReader);
	OutputResult(lResult, GetFocus(), NULL);
}


void CEncryptePanel::OnBnClickedDecrype()
{
	// TODO: ڴӿؼ֪ͨ
	UpdateData(TRUE);
	int i;

	m_InputPlaintext.Remove(_T(' '));
	CByteBuffer PublickeyBuff,PlaintextBuff;
	PublickeyBuff.FillWithHexString(m_publickkey);
	PlaintextBuff.FillWithHexString(m_InputPlaintext);

	BYTE Recvbuff[256];
	DWORD RecvLength = sizeof(Recvbuff);
	CString strRev = _T("");
	CString str;
	LONG lRet =  F3_OnceEncryp(g_hReader,PlaintextBuff,PlaintextBuff.GetLength(),PublickeyBuff, PublickeyBuff.GetLength(),Recvbuff,&RecvLength);
	if(lRet == 0 )
	{
		UpdateData(TRUE);
		str = _T("");
		m_DecryptRedace = _T("");
		for (int i = 0; i < RecvLength; i++)
		{
			str.Format(_T("%02x"),Recvbuff[i]);	
			m_DecryptRedace +=  str;
		}
		UpdateData(FALSE);

	}
	OutputResult(lRet, GetFocus(), NULL);
}


void CEncryptePanel::OnBnClickedDecrypt()
{
	// TODO: ڴӿؼ֪ͨ
	UpdateData(TRUE);


	CByteBuffer PrivatekeyBuff,RedaceBuff;
	PrivatekeyBuff.FillWithHexString(m_DecryptPrivateKey);
	RedaceBuff.FillWithHexString(m_DecryptRedace);

	BYTE Recvbuff[256];
	DWORD RecvLength = sizeof(Recvbuff);
	CString strRev = _T("");
	CString str;
	LONG lRet =  F3_OnceDecrypt(g_hReader,RedaceBuff,RedaceBuff.GetLength(),PrivatekeyBuff, PrivatekeyBuff.GetLength(),Recvbuff,&RecvLength);
	if(lRet == 0 )
	{
		str = _T("Plain Text ");
		for (int i = 0; i < RecvLength; i++ )
		{
			strRev.Format(_T("%02x "),Recvbuff[i]);
			str += strRev;
		}

	}
	OutputResult(lRet, GetFocus(), str);
}


void CEncryptePanel::OnBnClickedInitsm4()
{
	// TODO: ڴӿؼ֪ͨ
		UpdateData(TRUE);
	CString str;
	BYTE  RecvBuff[256];
	DWORD   RecvLength =  sizeof(RecvBuff);

	CByteBuffer keybuffer;
	m_KeyMsg.Remove(_T(' '));
	keybuffer.FillWithHexString(m_KeyMsg);
	LONG  lRet =  F3_InitiSM4(g_hReader,keybuffer);

	OutputResult(lRet, GetFocus(), NULL);
}


void CEncryptePanel::OnBnClickedCloseSm4()
{
	// TODO: ڴӿؼ֪ͨ
	LONG lResult = F3_CloseSM4(g_hReader);
	OutputResult(lResult, GetFocus(), NULL);
}


void CEncryptePanel::OnBnClickedEncrypeSm4()
{
	// TODO: ڴӿؼ֪ͨ
	UpdateData(TRUE);
	CString str,strRev;
	CByteBuffer PlaintextBuff,keybuffer;

	m_PlainMsg.Remove(_T(' '));
	m_KeyMsg.Remove(_T(' '));

	int nLen = m_PlainMsg.GetLength();
	int nTiems =    nLen / 32 ;
	if(nLen % 32 != 0){
		nTiems += 1;
	}

	CString strTemp;
	strRev = "0";
	for (int iparam = nLen; iparam < (nTiems*32); iparam++ )
		m_PlainMsg.Append(strRev);

	PlaintextBuff.FillWithHexString(m_PlainMsg);
	keybuffer.FillWithHexString(m_KeyMsg);

	//strTemp.Format(_T(" nTiems = %d  PlaintextBuff.GetLength() = %d  "),nTiems,PlaintextBuff.GetLength());
	//MessageBox(strTemp);

	BYTE Recvbuff[256];
	DWORD RecvLength = sizeof(Recvbuff);
	int OperateMode = m_OperateMode.GetItemData(m_OperateMode.GetCurSel());
	LONG lRet = F3_EncrypeAndDecrypeSM4(g_hReader,1,OperateMode,PlaintextBuff,PlaintextBuff.GetLength(),keybuffer,Recvbuff, &RecvLength);
	if (lRet == 0)
	{
		str = _T("Cipher Text: ");
		for (int i = 0; i < RecvLength; i++ )
		{
			strRev.Format(_T("%02x "),Recvbuff[i]);
			str += strRev;
		}
	}
	OutputResult(lRet, GetFocus(), str);
}


void CEncryptePanel::OnBnClickedDecryptSm4()
{
	// TODO: ڴӿؼ֪ͨ
	CString str,strRev;
	CByteBuffer RedacteBuff2,keybuffer;
	UpdateData(TRUE);
	//MessageBox(m_Redaction2);

	m_Redaction2.Remove(_T(' '));
	m_KeyMsg.Remove(_T(' '));
	RedacteBuff2.FillWithHexString(m_Redaction2);
	keybuffer.FillWithHexString(m_KeyMsg);
	BYTE Recvbuff[256];
	DWORD RecvLength = sizeof(Recvbuff);
	int OperateMode = m_OperateMode.GetItemData(m_OperateMode.GetCurSel());
	LONG lRet = F3_EncrypeAndDecrypeSM4(g_hReader,0,OperateMode,RedacteBuff2,RedacteBuff2.GetLength(),keybuffer,Recvbuff, &RecvLength);
	if (lRet == 0)
	{
		str = _T("Plain Text");
		for (int i = 0; i < RecvLength; i++ )
		{
			strRev.Format(_T("%02x "),Recvbuff[i]);
			str += strRev;
		}
	}
	OutputResult(lRet, GetFocus(), str);

}
