#pragma once


#include "CpuPanel.h"
#include "SamPanel.h"
#include "Sle4442Panel.h"
#include "Sle4428Panel.h"
#include "I2cPanel.h"

// CIccWorkspace Ի

class CIccWorkspace : public CPanelBase
{
	DECLARE_DYNAMIC(CIccWorkspace)

public:
	CIccWorkspace(CWnd* pParent = NULL);   // ׼캯
	virtual ~CIccWorkspace();

// Ի
	enum { IDD = IDD_ICC_PANEL };

	void	Select(BYTE bCardType);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
	virtual BOOL OnInitDialog();

protected:
	CTabCtrlExt m_tab;
	CCpuPanel m_CpuWnd;
	CSamPanel m_SamWnd;
	CSle4442Panel m_Sle4442Wnd;
	CSle4428Panel m_Sle4428Wnd;
	CI2cPanel m_I2cWnd;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnEnable(BOOL bEnable);
};
