#pragma once


typedef struct COMMANDINFO
{
    CString strName;
    CString strDispData;
    CByteArray baData;

    COMMANDINFO& operator = ( COMMANDINFO& CmdInfo)
    {
        this->strName = CmdInfo.strName;
        this->strDispData = CmdInfo.strDispData;
        this->baData.Copy(CmdInfo.baData);
        return *this;
    }
} *LPCOMMANDINFO;



typedef BOOL (*FNCMDEDITCALLBACK)(LPVOID pvParam, COMMANDINFO& CmdInfo, BOOL bNew);


// CCmdEditDlg Ի

class CCmdEditDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CCmdEditDlg)

public:
	CCmdEditDlg(CWnd* pParent = NULL);   // ׼캯
	virtual ~CCmdEditDlg();

    void SetCDTMinLength(DWORD cbCDTMinLength);
    void SetEditCallback(FNCMDEDITCALLBACK fnEditCallback, LPVOID pvParam);
    void SetEditInfo(LPCOMMANDINFO lpCmdInfo, BOOL bAddNew = TRUE);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧
    virtual BOOL OnInitDialog();
    virtual void OnOK();

	DECLARE_MESSAGE_MAP()

private:
    bool ValidData(const CString& strData, CByteArray &baData);

private:
    CEdit m_edtName;
    CEdit m_edtData;
    DWORD m_cbCDTMinLength;
    FNCMDEDITCALLBACK m_fnEditCallback;
    LPVOID m_pvParam;
    BOOL m_bAddNew;
    COMMANDINFO m_cmdInfo;
};
