#pragma once


typedef struct STATUSINFO
{
	CString strData;
	CString strMeaning;
} *LPSTATUSINFO;


enum STATDATATYPE
{
	SDT_ASCII,
	SDT_HEXSTRING
};

class AFX_EXT_CLASS CStatusManager
{
public:
	CStatusManager();
	virtual ~CStatusManager();

	void Initialize();
	void Release();

	LPCTSTR GetPositiveStatusMeaning(LPBYTE pbData, DWORD dwLength);
	LPCTSTR GetPositiveStatusMeaning(CByteArray &baData);

	LPCTSTR GetNegativeStatusMeaning(LPBYTE pbData, DWORD dwLength);
	LPCTSTR GetNegativeStatusMeaning(CByteArray &baData);

private:
	LPCTSTR GetStatusMeaning(CArray<LPSTATUSINFO> &Stats, LPBYTE pbData, DWORD dwLength, STATDATATYPE dataType);

private:
	CArray<LPSTATUSINFO> m_PositiveStats;
	CArray<LPSTATUSINFO> m_NegativeStats;
	TCHAR m_szPSFileName[ MAX_PATH ];
	TCHAR m_szNSFileName[ MAX_PATH ];
	STATDATATYPE m_PSDT;
	STATDATATYPE m_NSDT;
};
