// SetBaudDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "F3TEST.h"
#include "SetBaudDlg.h"
#include "afxdialogex.h"


// CSetBaudDlg Ի

IMPLEMENT_DYNAMIC(CSetBaudDlg, CDialog)

CSetBaudDlg::CSetBaudDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetBaudDlg::IDD, pParent)
{
	dwBaudRate = 9600;
}

CSetBaudDlg::~CSetBaudDlg()
{
}

void CSetBaudDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SD_BAUD_RATE_LIST, m_BaudRateList);
}


BEGIN_MESSAGE_MAP(CSetBaudDlg, CDialog)
	ON_CBN_SELCHANGE(IDC_SD_BAUD_RATE_LIST, &CSetBaudDlg::OnCbnSelchangeSdBaudRateList)
END_MESSAGE_MAP()


// CSetBaudDlg Ϣ


void CSetBaudDlg::OnCbnSelchangeSdBaudRateList()
{
	dwBaudRate = m_BaudRateList.GetItemData( m_BaudRateList.GetCurSel());
	
}


BOOL CSetBaudDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	DWORD Speeds[] = {2400,4800, 9600, 19200, 38400 , 57600, 115200};

	int idx;
	int sel = 0;
	CString str;

	for (int i = 0; i < sizeof(Speeds) / sizeof(Speeds[0]); i++)
	{
		str.Format(_T("%d"), Speeds[i]);
		idx = m_BaudRateList.AddString(str);
		m_BaudRateList.SetItemData(idx, Speeds[i]);

		if (Speeds[i] == dwBaudRate)
			sel = idx;
	}

	m_BaudRateList.SetCurSel(sel);
	OnCbnSelchangeSdBaudRateList();

	return TRUE;  // return TRUE unless you set the focus to a control
	// 쳣: OCX ҳӦ FALSE
}
