#pragma once


enum INPUTTYPE
{
    INTYPE_NUMBER,
    INTYPE_HEXNUMBER,
    INTYPE_BYTEDATA,
    INTYPE_ASCIICHARS
};


class AFX_EXT_CLASS UIInputBox : public CEdit
{
    DECLARE_DYNAMIC(UIInputBox)

public:
    UIInputBox();
    virtual ~UIInputBox();

    void SetInputType(INPUTTYPE intype);
    void SetMinMaxValue(DWORD dwMin, DWORD dwMax);

    bool GetValue(DWORD &dwValue);
    bool GetData(CByteArray &ba);

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);

private:
    void ShowError(LPCTSTR pszError);
    void ShowError(UINT nIDString);
private:
    INPUTTYPE m_intype;
	DWORD m_dwMin;
	DWORD m_dwMax;
};
