#pragma once


class AFX_EXT_CLASS CNumericEdit : public CEdit
{
	DECLARE_DYNAMIC(CNumericEdit)

public:
	CNumericEdit();
	virtual ~CNumericEdit();

	void	AllowHexInput();
	void	SetValue(UINT iValue);
	void	SetRange(UINT iMin, UINT iMax);
	UINT	GetValue();
	bool	IsValidInput();

protected:
	BOOL	m_bAllowHexInput;
	UINT	m_iMin;
	UINT	m_iMax;
	UINT	m_iValue;

protected:
	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
};
